using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.ApplicationModel.Resources;

namespace PdfViewerSamples
{
    public static class Strings
    {
        private static ResourceLoader _loader = ResourceLoader.GetForCurrentView("PdfViewerSamplesLib/Resources");

        public static string UniqueIdItemsArgumentException
        {
            get
            {
                return _loader.GetString("UniqueIdItemsArgumentException");
            }
        }

        public static string SessionStateKeyErrorMessage
        {
            get
            {
                return _loader.GetString("SessionStateKeyErrorMessage");
            }
        }

        public static string SessionStateErrorMessage
        {
            get
            {
                return _loader.GetString("SessionStateErrorMessage");
            }
        }

        public static string SuspensionManagerErrorMessage
        {
            get
            {
                return _loader.GetString("SuspensionManagerErrorMessage");
            }
        }

        public static string InitializationException
        {
            get
            {
                return _loader.GetString("InitializationException");
            }
        }

        public static string DownloadException
        {
            get
            {
                return _loader.GetString("DownloadException");
            }
        }

        public static string PrintException
        {
            get
            {
                return _loader.GetString("PrintException");
            }
        }
        public static string DemoTitle
        {
            get
            {
                return _loader.GetString("DemoTitle");
            }
        }

        public static string DemoDescription
        {
            get
            {
                return _loader.GetString("DemoDescription");
            }
        }

        public static string DemoName
        {
            get
            {
                return _loader.GetString("DemoName");
            }
        }

        public static string LargeFileTitle
        {
            get
            {
                return _loader.GetString("LargeFileTitle");
            }
        }

        public static string LargeFileDescription
        {
            get
            {
                return _loader.GetString("LargeFileDescription");
            }
        }

        public static string LargeFileName
        {
            get
            {
                return _loader.GetString("LargeFileName");
            }
        }

        public static string PrintTitle
        {
            get
            {
                return _loader.GetString("PrintTitle");
            }
        }

        public static string PrintDescription
        {
            get
            {
                return _loader.GetString("PrintDescription");
            }
        }

        public static string PrintName
        {
            get
            {
                return _loader.GetString("PrintName");
            }
        }


    }
}
